Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class GeneratorContext

A context shared across generations of a class and its inner classes

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`CompileUnit` | `compileUnit`
`int` | `innerClassIdx`

Constructor Summary
`GeneratorContext(CompileUnit compileUnit)`

Method Summary
`CompileUnit` | `getCompileUnit()`
`String` | `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
`int` | `getNextInnerClassIdx()`

Constructor Detail

### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit)

Method Detail

### getCompileUnit

    public CompileUnit getCompileUnit()

### getNextClosureInnerName

    public String getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

### getNextInnerClassIdx

    public int getNextInnerClassIdx()